TAAS - Feature #266

Set Agent Commission
10/10/2023 11:38 AM - Junaid M

Status: Reopen Bugs Testing Done Start date: 10/10/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Set Agent Commission

Description

Coding Set Agent Commission

History

#1 - 10/10/2023 11:39 AM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Assignee changed from travvise Admin to Christy Saint

#2 - 10/10/2023 12:08 PM - Christy Saint
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 10/26/2023 05:43 PM - Junaid M

- Tracker changed from Bug to Feature

#4 - 10/27/2023 12:10 PM - Christy Saint
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#5 - 12/02/2023 11:10 AM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.REMOVE CHECK BOX FIELD FROM GENERAL
2.CHANGE NAME GENERAL TO ALL
3.SAVE, LOAD NOT WORKING

#6 - 12/02/2023 08:08 PM - Junaid M
- Assignee changed from Christy Saint to Sibin Babu

#7 - 12/15/2023 10:29 AM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 12/16/2023 03:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.ERROR WHILE CHOOSING OK BUTTON 42601: syntax error at or near "AS"

Fixed 2.MISSING ADDED MODES WHILE UPDATE

Fixed 3.CHANGE EXPAND LABEL NEW

Fixed 4. ERROR WHILE CLEARING MANDATORY DATE AND SEARCH

Fixed 5.MISSING PRECISION IN SAVE

Fixed 6.SHOW ADDED DATAS WITHOUT CHOOSING EDIT BUTTON (DIRECT LIST SELECTION)

#9 - 01/01/2024 04:59 PM - Anonymous
- Assignee changed from Sibin Babu to Amal Siby

#10 - 01/06/2024 06:42 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#11 - 01/16/2024 02:21 PM - unnikannan S
TESTING DONE

#12 - 01/16/2024 02:26 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Done 1.MISSING AGENT CODE AFTER SAVE WHILE ADDING INDIVIDUALLY AGENT COMMISSION
Done 2.SCROLL DATE ISSUE

Done 3.GROUPING SHOWING ONLY IN CASE OF ALL SELECT IN ACCOUNT GROUPING MODULE
Done 4.CHANGE IN DROP DOWN LABEL

Done 5.DONT ALLOW TO SAVE WITH SAME DATAS MULTIPLE TIMES

#13 - 01/19/2024 07:13 PM - Junaid M

- Assignee changed from Amal Siby to Baseem Shan

#14 - 01/19/2024 07:19 PM - Junaid M

- Assignee changed from Baseem Shan to Amal Siby

#15 - 01/31/2024 08:55 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 04/12/2024 02:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

Not Fixed 1.Show Validation In Case Creating A Already Saved Data With Same Components (Refer Service Rate)
Not Fixed 2.Missing Service Type From List For Package Service

#17 - 04/16/2024 07:44 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#18 - 04/24/2024 11:21 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

Fixed 1.Cant Save Data Group Wise In Case The Data That Setted Only Commission Agent In Account Grouping

#19 - 04/25/2024 03:33 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 04/26/2024 09:54 AM - unnikannan S
TESTING DONE

#21 - 04/26/2024 10:10 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#22 - 04/27/2024 06:27 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 04/30/2024 10:52 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADD VALIDATION FOR SAME DATA COMPONENTS

#24 - 05/03/2024 10:51 AM - Junaid M

- Assignee changed from Amal Siby to Greeshma S

#25 - 05/10/2024 07:00 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 05/11/2024 02:08 PM - unnikannan S
TESTING DONE

#27 - 11/20/2024 01:20 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)CHANGE THE "NO DATA FOUND" MESSAGE INTO A INFO MESSAGE "AGENT COMMISSION DOESNT EXIST"
2)CANT ADD A NEW RATE FOR AGENT IN EDIT MODE
3)ON DELETING A ITEM FROM THE GRID LIST WILL GET EMPTY

#28 - 11/20/2024 07:21 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#29 - 11/21/2024 09:59 AM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

Files

2-tsModel.ts 2.03 KB 10/10/2023 Junaid M
1-CsModel.cs 3.11 KB 10/10/2023 Junaid M
3-CsFile.cs 16.6 KB 10/10/2023 Junaid M
4-CsControllerFile.cs 25.3 KB 10/10/2023 Junaid M
5-TsFile.ts 14.7 KB 10/10/2023 Junaid M
6-HtmlFile.html 1.93 KB 10/10/2023 Junaid M
sql.sql 17.6 KB 10/10/2023 Junaid M
